Skip to main content
PATCH
/
funnels
/
event
/
{id}
Update Event
curl --request PATCH \
  --url https://services.leadconnectorhq.com/funnels/event/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "level": "pages",
  "type": "funnel",
  "conversionEnabled": "true",
  "pageIds": [
    "123456789"
  ],
  "pixelId": "123456789",
  "events": [
    "page_view",
    "order_form"
  ],
  "accessToken": "123456789"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
level
enum<string>
required

tracking level

Available options:
funnel,
website,
webinar,
pages
Example:

"pages"

type
enum<string>
required

type

Available options:
funnel,
website,
webinar
Example:

"funnel"

conversionEnabled
boolean
required

Send Event via conversion api or code

Example:

"true"

pageIds
string[]
required

pageId

Example:
["123456789"]
pixelId
string
required

pixelId

Example:

"123456789"

events
enum<string>[]
required

event names

Available options:
page_view
Example:
["page_view", "order_form"]
accessToken
string
required

accessToken

Example:

"123456789"

Response

Successful response

Last modified on March 4, 2026